=== debian/changelog ===
mdevctl (0.50-1) unstable; urgency=low

  * Initial release. Closes: #945230
    - d/*: initial packaging based on the template out of debmake

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Nov 2019 12:36:24 +0100
