## mdevctl 0.59

=== debian/changelog ===
mdevctl (0.59-1) unstable; urgency=medium

  * new upstream release 0.59
    The biggest change is the drop of the systemd support in favor of
    full support of the now fixed udev approach
    - Drop lsmdev-man-page.patch being accepted upstream

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 10 Dec 2019 11:46:47 +0100
