=== debian/control ===
Source: mdevctl
Section: admin
Priority: optional
Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 12),
               pkg-config,
               systemd,
               udev,
Standards-Version: 4.4.1
Homepage: https://github.com/mdevctl/mdevctl
Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master

Package: mdevctl
Architecture: all
Multi-Arch: foreign
Depends: jq,
         udev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Mediated device management utility for Linux
 mdevctl is a utility for managing and persisting devices in the mediated
 device framework of the Linux kernel. Mediated devices are sub-devices
 of a parent device (ex. a vGPU) which can be dynamically created and
 potentially used by drivers like vfio-mdev for assignment to virtual machines.
