## mdevctl 0.61

=== debian/changelog ===
mdevctl (0.61-1) unstable; urgency=medium

  * new upstream release 0.61

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 28 Jul 2020 15:43:41 +0200
