## mdevctl 0.69

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 PREFIX=/usr
 UDEVDIR=$(shell pkg-config --variable=udevdir udev)
-UNITDIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)
 SBINDIR=$(PREFIX)/sbin
 CONFDIR=/etc/mdevctl.d
 MANDIR=$(PREFIX)/share/man
@@ -8,14 +7,14 @@
 VERSION=0.$(shell git rev-list --count HEAD)
 NVFMT=$(NAME)-$(VERSION)
 
-files: mdevctl mdev@.service 60-mdevctl.rules mdevctl.8 \
+files: mdevctl 60-mdevctl.rules mdevctl.8 \
 	Makefile COPYING README.md mdevctl.spec.in
 
-archive: files tag mdevctl.spec
+archive: files mdevctl.spec
 	git archive --prefix=$(NVFMT)/ HEAD > $(NVFMT).tar
 	gzip -f -9 $(NVFMT).tar
 
-mdevctl.spec: mdevctl.spec.in files
+mdevctl.spec: tag mdevctl.spec.in files
 	sed -e 's:#VERSION#:$(VERSION):g' < mdevctl.spec.in > mdevctl.spec
 	PREV=""; \
 	for TAG in `git tag --sort=version:refname | tac`; do \
@@ -37,13 +36,12 @@
 	mkdir -p $(DESTDIR)$(CONFDIR)
 	mkdir -p $(DESTDIR)$(UDEVDIR)/rules.d/
 	install -m 644 60-mdevctl.rules $(DESTDIR)$(UDEVDIR)/rules.d/
-	mkdir -p $(DESTDIR)$(UNITDIR)
-	install -m 644 mdev@.service $(DESTDIR)$(UNITDIR)/
 	mkdir -p $(DESTDIR)$(SBINDIR)
 	install -m 755 mdevctl $(DESTDIR)$(SBINDIR)/
-	ln -s mdevctl $(DESTDIR)$(SBINDIR)/lsmdev
+	ln -sf mdevctl $(DESTDIR)$(SBINDIR)/lsmdev
 	mkdir -p $(DESTDIR)$(MANDIR)/man8
 	install -m 644 mdevctl.8 $(DESTDIR)$(MANDIR)/man8/
+	ln -sf mdevctl.8  $(DESTDIR)$(MANDIR)/man8/lsmdev.8
 
 clean:
 	rm -f mdevctl.spec *.src.rpm noarch/*.rpm *.tar.gz
