=== debian/changelog ===
mdevctl (0.69-1) unstable; urgency=medium

  * new upstream release 0.69

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Sep 2020 09:41:13 +0200
