## mdevctl 0.78

=== debian/changelog ===
mdevctl (0.78-1) unstable; urgency=medium

  * new upstream release 0.78
    - drop d/p/debianize-paths.patch now being accepted upstream
    - d/control: bump standards version to 4.5.1 [no changes needed]
    - d/control, d/compat: Set debhelper-compat version in Build-Depends

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Nov 2020 08:02:19 +0100
