=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                systemd,
                udev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/mdevctl/mdevctl
 Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
 Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master
