=== debian/changelog ===
mdevctl (0.81-1) unstable; urgency=medium

  * Merge new upstream 0.81
    - Fixes combined use of -p and json (Closes: #990535)
  * d/control: bump to compat level 13 (no changes needed)
  * d/source/local-options: remove (currently) unused files

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Jul 2021 16:07:15 +0200
