=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mdevctl-$1\.tar\.gz/ \
  https://github.com/mdevctl/mdevctl/tags .*/v?(\d\S+)\.tar\.gz
