## mdevctl 1.2.0

=== debian/changelog ===
mdevctl (1.2.0-1ubuntu1) kinetic; urgency=medium

  * d/watch: introduce vendor component with bundled dependencies.
  * vendor: unpack vendorized sources.
  * d/p/series: drop dependency version tweaks in favor of vendorized
    dependencies.
  * d/README.source: include information on uscan's Multiple Upstream
    Tarball (MUT) support for the vendorized code.
  * Ship Cargo lockfile to provide data on the vendorized code:
    - d/config.toml: provide a custom Cargo configuration to generate
      a lockfile from the vendorized dependencies.
    - d/install: ship the build-time generated lockfile.
  * d/copyright: include vendorized projects copyright data.
  * d/control: remove librust-uuid B-D. This is now vendorized in this
    package and the new librust-uuid version in kinetic is currently
    incompatible.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 11 Aug 2022 11:54:53 -0300

mdevctl (1.2.0-1) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Update Standards-Version (no changes needed)
  * d/copyright: update packaging copyright dates
  * d/rules: override tests to work for vendored dependencies too
    [Debian no-op]
  * d/rules: generate lockfile for vendored deps
    [Debian no-op]

  [ Christian Ehrhardt ]
  * New upstream version 1.2.0
  * d/control: adapt dependencies for 1.2.0
  * d/p/lower-versions-for-unstable.patch: adapt dependencies to Debian archive
  * Use upstream makefile for installation
    Upstream maintains a makefile that is generated out of the cargo build.
    Using that ensures we pick up any future changes more easily.
    In addition this will
    - properly install udev rules
    - add further subdirs of /etc/mdevctl.d
    - add lsmdev mapping
    - adds bash completion files
    - we no more need to maintain .dirs & .install files for the same
  * d/p/main-binary-already-installed.patch: avoid a vonflict between
    dh-cargo and the generated upstream makefile
  * d/p/main-binary-already-installed.patch: also place lsmdev correctly

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 09 Aug 2022 13:24:25 +0200

mdevctl (1.1.0-2) unstable; urgency=medium

  [ Automated Janitor ]
  * Remove constraints unnecessary since buster

  [ Athos Ribeiro ]
  * d/control: depend on librust-uuid+rand-dev for v4 (Closes: #1013551)
  * d/rules: use vendorized dependencies for Ubuntu builds
    [easens their life, while being a no-op for Debian]

  [ Christian Ehrhardt ]
  * d/mdevctl.dirs: add /etc/mdevctl.d no more created by upstream
    (Closes: #1003777)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Jul 2022 11:11:53 +0200

mdevctl (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    - fixes FTBFS in regard to env_logger (Closes: #998600)
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)
  * d/control: use substvars provided by dh-cargo
  * d/p/lower-versions-for-unstable.patch: update for 1.1.0
  * d/control: librust-env-logger+default-dev now is new enough
  * d/p/tempfile-for-tempdir.patch: applied upstream
  * d/install: install man page

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 09 Nov 2021 14:42:49 +0100

mdevctl (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * d/control, d/rules: switch to rust build as specified upstream
  * d/control: lower versioned dependencies to what is available in
    unstable
  * d/control: with rust mdevctl is arch:any now
  * d/cargo-checksum.json: stub for cargo-checksum
  * d/p/lower-versions-for-unstable.patch: lower required dependency
    versions to match unstable
  * d/p/tempfile-for-tempdir.patch: tempfile replaced tempdir
  * d/control: add tempfile as replacement for the unavailbale tempdir lib
  * d/control: use librust-serde-json+indexmap-dev to resolve implicit
    indexmap dependencies
  * d/control: runtime dependencies not needed for non-libraries
  * d/control: librust-tempfile-dev only needed for tests, add <!nocheck>

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Jul 2021 12:55:04 +0200
