=== debian/control ===
Source: mdevctl
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Rules-Requires-Root: no
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-cargo,
               librust-anyhow-dev (>= 1.0.0),
               librust-env-logger+default-dev,
               librust-log+serde-dev,
               librust-serde-json+indexmap-dev,
               librust-clap-derive-dev (>= 3.0.7),
               librust-clap-complete-dev (>= 3.0.6),
               librust-clap+strsim-dev,
               librust-tempfile-dev (>= 3.1.0) <!nocheck>,
               pkg-config,
               python3-docutils,
               systemd,
               udev,
Standards-Version: 4.6.1
Homepage: https://github.com/mdevctl/mdevctl
Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master

Package: mdevctl
Architecture: any
Multi-Arch: foreign
Depends: udev,
         ${misc:Depends},
         ${shlibs:Depends},
         ${cargo:Depends},
Recommends: ${cargo:Recommends},
Suggests: ${cargo:Suggests},
Provides: ${cargo:Provides},
Built-Using: ${cargo:Built-Using},
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Mediated device management utility for Linux
 mdevctl is a utility for managing and persisting devices in the mediated
 device framework of the Linux kernel. Mediated devices are sub-devices
 of a parent device (ex. a vGPU) which can be dynamically created and
 potentially used by drivers like vfio-mdev for assignment to virtual machines.
