=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mdevctl-$1\.tar\.gz/ \
  https://github.com/mdevctl/mdevctl/releases/latest .*/v@ANY_VERSION@\.tar\.gz debian
opts=component=vendor \
  https://github.com/mdevctl/mdevctl/releases/latest .*/@PACKAGE@@ANY_VERSION@-vendor\.tar\.gz ignore
