## mdevctl 1.3.0

=== debian/changelog ===
mdevctl (1.3.0-1ubuntu2.1) noble; urgency=medium

  * d/p/main-binary-already-installed.patch: adjust binary path in udev rules
    (LP: #2121264)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 08 Sep 2025 16:38:16 +0200

mdevctl (1.3.0-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:12:09 +0200

mdevctl (1.3.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040398). Remaining changes:
    - d/watch: introduce vendor component with bundled dependencies.
    - vendor: unpack vendorized sources.
    - d/p/series: drop dependency version tweaks in favor of vendorized
      dependencies.
    - d/README.source: include information on uscan's Multiple Upstream
      Tarball (MUT) support for the vendorized code.
    - Ship Cargo lockfile to provide data on the vendorized code:
      + d/config.toml: provide a custom Cargo configuration to generate
        a lockfile from the vendorized dependencies.
      + d/install: ship the build-time generated lockfile.
    - d/copyright: include vendorized projects copyright data.
  * Dropped changes:
    - d/p/series: drop Debian uuid version adjustment patch in favor of
      the vendorized version of the dependency.
      [ Fixed in the upstream project in version 1.3.0 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 16 Feb 2024 11:30:49 -0300

mdevctl (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/p/Update-uuid-version.patch: remove patch applied upstream
  * d/p/move-tempfile-to-dev-dependencies.patch: remove patch applied upstream
  * d/patches: refresh patches
  * d/control: adjust dependencies for new release
  * d/p/lower-versions-for-unstable.patch: remove clap adjustments. Upstream
    now uses clap v4, which is the current version in Debian
  * d/control: replace pkg-config with pkgconf. The former is just a
    transitional package for the latter. Using it triggers a lintian warning

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 06 Feb 2024 12:06:52 -0300

mdevctl (1.2.0-7) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/control: switch systemd/udev B-Ds to systemd-dev

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 08 Jan 2024 08:45:28 +0100

mdevctl (1.2.0-6) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/p/move-tempfile-to-dev-dependencies.patch: fix build with nocheck
    (Closes: #1059036)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 04 Jan 2024 09:41:37 +0100

mdevctl (1.2.0-5) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/control: pin env_logger B-D required version (Closes: 1054157)

  [ Christian Ehrhardt ]
  * d/control: Add Athos Ribeiro to uploaders - Thank you for all the great
    contributions so far!

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 23 Oct 2023 10:21:00 +0200

mdevctl (1.2.0-4) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/control: bump Standards-Version to 4.6.2 (no changes needed)
  * d/patches: adjust env_logger dependency version (Closes: #1050521)
  * d/rules: run test suite during package build

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 04 Sep 2023 16:46:19 +0200

mdevctl (1.2.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993417). Remaining changes:
    - d/watch: introduce vendor component with bundled dependencies.
    - vendor: unpack vendorized sources.
    - d/p/series: drop dependency version tweaks in favor of vendorized
      dependencies.
    - d/README.source: include information on uscan's Multiple Upstream
      Tarball (MUT) support for the vendorized code.
    - Ship Cargo lockfile to provide data on the vendorized code:
      + d/config.toml: provide a custom Cargo configuration to generate
        a lockfile from the vendorized dependencies.
      + d/install: ship the build-time generated lockfile.
    - d/copyright: include vendorized projects copyright data.
  * Dropped changes:
    - d/control: remove librust-uuid B-D. This is now vendorized in this
      package and the new librust-uuid version in kinetic is currently
      incompatible.
      [ Fixed in 1.2.0-2 ]
  * New changes:
    - d/p/series: drop Debian uuid version adjustment patch in favor of
      the vendorized version of the dependency.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 26 Jan 2023 10:30:13 -0300

mdevctl (1.2.0-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Update Debian dependencies on clap related packages to reflrect cargo
    dependencies (Closes: #1028655). Thanks to Peter Micheal Green for
    the report and suggested changes.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2023 13:37:16 +0100

mdevctl (1.2.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Update uuid version to 1.0 (Closes: #1017369)
    Thanks to Peter Micheal Green for the report, taking the upstream
    accepted commit landed by Athos Ribeiro to solve this.
    - d/p/Update-uuid-version.patch new patch from upstream to work with
      uuid 1.0
    - d/p/lower-versions-for-unstable.patch: updated as we no more need to
      lower uuid

  [ Peter Micheal Green ]
  * d/control: switch uuid dependency to librust-uuid-1+v4-dev
  * d/rules: Fix clean target

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Sep 2022 10:25:20 +0200
