=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
+Uploaders: Athos Ribeiro <athos.ribeiro@canonical.com>
 Rules-Requires-Root: no
 Build-Depends: cargo,
                debhelper-compat (= 13),
                dh-cargo,
                librust-anyhow-dev (>= 1.0.0),
-               librust-env-logger+default-dev,
+               librust-env-logger-0.10.0+default-dev,
                librust-log+serde-dev,
                librust-serde-json+indexmap-dev,
-               librust-clap-derive-dev (>= 3.0.7),
-               librust-clap-complete-dev (>= 3.0.6),
-               librust-clap+strsim-dev,
+               librust-clap+derive-dev (>= 4.0),
+               librust-clap-complete-dev (>= 4.0),
+               librust-nix-dev <!nocheck>,
                librust-tempfile-dev (>= 3.1.0) <!nocheck>,
-               pkg-config,
+               librust-uuid-1+v4-dev,
+               pkgconf,
                python3-docutils,
-               systemd,
-               udev,
-Standards-Version: 4.6.1
+               systemd-dev,
+Standards-Version: 4.6.2
 Homepage: https://github.com/mdevctl/mdevctl
 Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
 Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master
