=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,9 @@
 ifeq ($(DEB_VENDOR),Ubuntu)
 	CARGO_HOME=debian /usr/share/cargo/bin/cargo test --offline
 else
-	dh_auto_test $@
+	dh_auto_test -- test
 endif
 endif
+
+execute_after_dh_auto_clean:
+	rm -f mdevctl.spec Makefile
