## mdevctl 1.4.0

=== debian/changelog ===
mdevctl (1.4.0-1ubuntu2) questing; urgency=medium

  * adjust binary install locations (LP: #2121264)
    - d/rules: move mdevctl to /usr/sbin
    - d/p/main-binary-already-installed: link /usr/bin/lsmdev to
      /usr/sbin/mdevctl

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 08 Sep 2025 16:41:10 +0200

mdevctl (1.4.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085250). Remaining changes:
    - d/watch: introduce vendor component with bundled dependencies.
    - vendor: unpack vendorized sources.
    - d/p/series: drop dependency version tweaks in favor of vendorized
      dependencies.
    - d/README.source: include information on uscan's Multiple Upstream
      Tarball (MUT) support for the vendorized code.
    - Ship Cargo lockfile to provide data on the vendorized code:
      + d/config.toml: provide a custom Cargo configuration to generate
        a lockfile from the vendorized dependencies.
      + d/install: ship the build-time generated lockfile.
    - d/copyright: include vendorized projects copyright data.
    - d/control,d/rules: add vendored dependency tags and enforce the
      check. Also remove all the Debian Rust packages from B-D

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 20 Feb 2025 09:54:57 -0300

mdevctl (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 19 Feb 2025 14:37:07 -0300

mdevctl (1.3.0-3) unstable; urgency=medium

  * d/gbp.conf: add initial gbp.conf file
  * d/control: bump env_logger B-D version (Closes: #1091226)
  * d/p/lower-versions-for-unstable.patch: adjust required versions
  * d/copyright: update copyright information
  * debian/patches/nix-0.27.patch: add DEP-3 header

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 02 Jan 2025 14:30:12 -0300

mdevctl (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Relax cargo dev-dependency on nix crate and explicitly enable the
    "process" feature for compatibility with nix 0.27. (Closes: #1064552)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 16:42:16 +0000

mdevctl (1.3.0-2) unstable; urgency=medium

  * d/control:
    - bump env_logger B-D version (Closes: #1068941)
    - bump Standards-Version to 4.7.0

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 16 Apr 2024 10:59:16 -0300

mdevctl (1.3.0-1ubuntu4) oracular; urgency=medium

  * d/control,d/rules: add vendored dependency tags and enforce the check
    also remove all the Debian Rust packages from B-D

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 03 Jul 2024 11:26:05 -0600

mdevctl (1.3.0-1ubuntu3) oracular; urgency=medium

  * No-change rebuild to enable frame pointers

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 17:42:08 +0200
