=== debian/rules ===
--- 
+++ 
@@ -15,15 +15,21 @@
 		ln -rs $$d debian/cargo_registry; \
 	done
 	CARGO_HOME=debian /usr/share/cargo/bin/cargo generate-lockfile --offline
+	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources
 	rm -rf debian/.package-cache
 else
 	rm -rf vendor
 endif
 
-# After being built with cargo this leaves a Makefile around to get everything
-# into the right places. Run that to have files in place
+# dh_cargo install builds and installs the binary to /usr/bin
+# the generated Makefile installs supplementary files
 execute_before_dh_install:
 	make install DESTDIR=debian/mdevctl
+
+# move the binary to /usr/sbin
+execute_after_dh_install:
+	mkdir -p debian/mdevctl/usr/sbin
+	mv debian/mdevctl/usr/bin/mdevctl debian/mdevctl/usr/sbin
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
