=== debian/watch ===
version=4
opts=filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain \
  https://api.github.com/repos/mdevctl/mdevctl/releases?per_page=100 \
  https://api.github.com/repos/mdevctl/mdevctl/tarball/@ANY_VERSION@ debian
opts=component=vendor,searchmode=plain \
  https://api.github.com/repos/mdevctl/mdevctl/releases?per_page=100 \
  https://github.com/mdevctl/mdevctl/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@-vendor@ARCHIVE_EXT@ ignore
